removal of GCC-4.3 packages in natty

Bug #745544 reported by Matthias Klose
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
blm (Ubuntu)
Wishlist
Micah Gersten
freehdl (Ubuntu)
Wishlist
Micah Gersten
gcc-4.3 (Debian)
Fix Released
Unknown
gcc-4.3 (Ubuntu)
Undecided
Unassigned
gcj-4.3 (Ubuntu)
Undecided
Unassigned
gdc-4.3 (Ubuntu)
Undecided
Unassigned
picprog (Ubuntu)
Wishlist
Micah Gersten

Bug Description

Binary package hint: gcj-4.3

gcc-4.3, gcj-4.3, gdc-4.3 should be removed in natty, no multiarch support added and planned.

Revision history for this message
Steve Langasek (vorlon) wrote :

gcj-4.3 is not in natty.

Changed in gcj-4.3 (Ubuntu):
status: New → Invalid
Revision history for this message
Steve Langasek (vorlon) wrote :

2011-04-02 06:18:51 INFO Removing candidates:
2011-04-02 06:18:51 INFO gdc-4.3 1:1.060-4.3.5-2 in natty
2011-04-02 06:18:51 INFO gdc-4.3 1:1.060-4.3.5-2 in natty amd64
2011-04-02 06:18:51 INFO gdc-4.3 1:1.060-4.3.5-2 in natty armel
2011-04-02 06:18:51 INFO gdc-4.3 1:1.060-4.3.5-2 in natty i386
2011-04-02 06:18:51 INFO gdc-4.3 1:1.060-4.3.5-2 in natty powerpc
2011-04-02 06:18:51 INFO libphobos-4.3-dev 1:1.060-4.3.5-2 in natty amd64
2011-04-02 06:18:51 INFO libphobos-4.3-dev 1:1.060-4.3.5-2 in natty armel
2011-04-02 06:18:51 INFO libphobos-4.3-dev 1:1.060-4.3.5-2 in natty i386
2011-04-02 06:18:51 INFO libphobos-4.3-dev 1:1.060-4.3.5-2 in natty powerpc
2011-04-02 06:18:51 INFO Removed-by: Steve Langasek
2011-04-02 06:18:51 INFO Comment: (From Debian) ROM; obsolete
2011-04-02 06:18:51 INFO 9 packages successfully removed.
2011-04-02 06:19:00 INFO Transaction committed.
2011-04-02 06:19:00 INFO The archive will be updated in the next publishing cycle.

Changed in gdc-4.3 (Ubuntu):
status: New → Fix Released
Revision history for this message
Steve Langasek (vorlon) wrote :

The following packages in natty still build-depend on gcc-4.3:

blm
freehdl
msrp
libopkele
gcc-avr

What should be done with these packages?

Changed in gcc-4.3 (Ubuntu):
status: New → Incomplete
Revision history for this message
Matthias Klose (doko) wrote : Re: [Bug 745544] Re: removal of GCC-4.3 packages in natty

On 02.04.2011 08:24, Steve Langasek wrote:
> The following packages in natty still build-depend on gcc-4.3:
> gcc-avr

include the gcc-4.3 tarball in the gcc-avr package

Micah Gersten (micahg)
Changed in blm (Ubuntu):
assignee: nobody → Micah Gersten (micahg)
importance: Undecided → Wishlist
status: New → In Progress
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package blm - 0.9.3-2ubuntu1

---------------
blm (0.9.3-2ubuntu1) natty; urgency=low

  * Drop gcc-4.3 build depends. Just use the default compiler. (LP: #745544)
    - update debian/control
  * Add some build files to clean rule so they don't appear in the diff
    - update debian/rules
 -- Micah Gersten <email address hidden> Sun, 10 Apr 2011 14:57:15 -0500

Changed in blm (Ubuntu):
status: In Progress → Fix Released
Micah Gersten (micahg)
Changed in freehdl (Ubuntu):
assignee: nobody → Micah Gersten (micahg)
importance: Undecided → Wishlist
status: New → In Progress
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package freehdl - 0.0.7-1ubuntu1

---------------
freehdl (0.0.7-1ubuntu1) natty; urgency=low

  * Drop gcc-4.3 build depends. Just use the default compiler. (LP: #745544);
    Also fixes FTBFS (LP: #749133)
    - update debian/control
  * Remove usage of gcc-4.3 from rules file
    - update debian/rules
 -- Micah Gersten <email address hidden> Sun, 10 Apr 2011 20:15:57 -0500

Changed in freehdl (Ubuntu):
status: In Progress → Fix Released
Revision history for this message
Micah Gersten (micahg) wrote :

Uploaded, waiting in queue for release team approval

Changed in picprog (Ubuntu):
assignee: nobody → Micah Gersten (micahg)
importance: Undecided → Wishlist
status: New → In Progress
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package picprog - 1.9.0-1.1ubuntu1

---------------
picprog (1.9.0-1.1ubuntu1) natty; urgency=low

  * Drop build-dep on libstdc++6-4.3-dev; Use default compiler (LP: #745544)
    - update debian/control
 -- Micah Gersten <email address hidden> Sun, 17 Apr 2011 01:06:04 -0500

Changed in picprog (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Jonathan Riddell (jr) wrote :
Download full text (7.1 KiB)

No reverse build-depends left, removing

2011-04-19 12:48:43 INFO Removing candidates:
2011-04-19 12:48:43 INFO gcc-4.3 4.3.5-3ubuntu1 in natty
2011-04-19 12:48:43 INFO cpp-4.3 4.3.5-3ubuntu1 in natty amd64
2011-04-19 12:48:43 INFO cpp-4.3 4.3.5-3ubuntu1 in natty armel
2011-04-19 12:48:43 INFO cpp-4.3 4.3.5-3ubuntu1 in natty i386
2011-04-19 12:48:43 INFO cpp-4.3 4.3.5-3ubuntu1 in natty powerpc
2011-04-19 12:48:43 INFO cpp-4.3-doc 4.3.5-3ubuntu1 in natty amd64
2011-04-19 12:48:43 INFO cpp-4.3-doc 4.3.5-3ubuntu1 in natty armel
2011-04-19 12:48:43 INFO cpp-4.3-doc 4.3.5-3ubuntu1 in natty i386
2011-04-19 12:48:43 INFO cpp-4.3-doc 4.3.5-3ubuntu1 in natty powerpc
2011-04-19 12:48:43 INFO g++-4.3 4.3.5-3ubuntu1 in natty amd64
2011-04-19 12:48:43 INFO g++-4.3 4.3.5-3ubuntu1 in natty armel
2011-04-19 12:48:43 INFO g++-4.3 4.3.5-3ubuntu1 in natty i386
2011-04-19 12:48:43 INFO g++-4.3 4.3.5-3ubuntu1 in natty powerpc
2011-04-19 12:48:43 INFO g++-4.3-multilib 4.3.5-3ubuntu1 in natty amd64
2011-04-19 12:48:43 INFO g++-4.3-multilib 4.3.5-3ubuntu1 in natty i386
2011-04-19 12:48:43 INFO g++-4.3-multilib 4.3.5-3ubuntu1 in natty powerpc
2011-04-19 12:48:43 INFO g++-4.3-spu 4.3.5-3ubuntu1 in natty powerpc
2011-04-19 12:48:43 INFO gcc-4.3 4.3.5-3ubuntu1 in natty amd64
2011-04-19 12:48:43 INFO gcc-4.3 4.3.5-3ubuntu1 in natty armel
2011-04-19 12:48:43 INFO gcc-4.3 4.3.5-3ubuntu1 in natty i386
2011-04-19 12:48:43 INFO gcc-4.3 4.3.5-3ubuntu1 in natty powerpc
2011-04-19 12:48:43 INFO gcc-4.3-base 4.3.5-3ubuntu1 in natty amd64
2011-04-19 12:48:43 INFO gcc-4.3-base 4.3.5-3ubuntu1 in natty armel
2011-04-19 12:48:43 INFO gcc-4.3-base 4.3.5-3ubuntu1 in natty i386
2011-04-19 12:48:43 INFO gcc-4.3-base 4.3.5-3ubuntu1 in natty powerpc
2011-04-19 12:48:43 INFO gcc-4.3-doc 4.3.5-3ubuntu1 in natty amd64
2011-04-19 12:48:43 INFO gcc-4.3-doc 4.3.5-3ubuntu1 in natty armel
2011-04-19 12:48:43 INFO gcc-4.3-doc 4.3.5-3ubuntu1 in natty i386
2011-04-19 12:48:43 INFO gcc-4.3-doc 4.3.5-3ubuntu1 in natty powerpc
2011-04-19 12:48:43 INFO gcc-4.3-locales 4.3.5-3ubuntu1 in natty amd64
2011-04-19 12:48:43 INFO gcc-4.3-locales 4.3.5-3ubuntu1 in natty armel
2011-04-19 12:48:43 INFO gcc-4.3-locales 4.3.5-3ubuntu1 in natty i386
2011-04-19 12:48:43 INFO gcc-4.3-locales 4.3.5-3ubuntu1 in natty powerpc
2011-04-19 12:48:43 INFO gcc-4.3-multilib 4.3.5-3ubuntu1 in natty amd64
2011-04-19 12:48:43 INFO gcc-4.3-multilib 4.3.5-3ubuntu1 in natty i386
2011-04-19 12:48:43 INFO gcc-4.3-multilib 4.3.5-3ubuntu1 in natty powerpc
2011-04-19 12:48:43 INFO gcc-4.3-source 4.3.5-3ubuntu1 in natty amd64

2011-04-19 12:48:43 INFO gcc-4.3-source 4.3.5-3ubuntu1 in natty armel
2011-04-19 12:48:43 INFO gcc-4.3-source 4.3.5-3ubuntu1 in natty i386
2011-04-19 12:48:43 INFO gcc-4.3-source 4.3.5-3ubuntu1 in natty powerpc
2011-04-19 12:48:43 INFO gcc-4.3-spu 4.3.5-3ubuntu1 in natty powerpc
2011-04-19 1...

Read more...

Changed in gcc-4.3 (Ubuntu):
status: Incomplete → Fix Released
Changed in gcc-4.3 (Debian):
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.